Skip to content

Sends out a preview of the CRC notification email

Request

Sends out a preview of the CRC notification email

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

Bodyapplication/jsonrequired

The domain_name to use to for record lookup

destination_email_addressstring(Destination Email Address)required
email_templateobject(Email Template)
order_idstring(Order)required
order_item_line_numbernumber, (float), >= 1(Order Item Line Number)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/orders/{tenantId}/previewProductConfirmationEmail' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "destination_email_address": "string",
    "email_template": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "order_id": "string",
    "order_item_line_number": 1
  }'

Responses

The record was retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring